<?php
    yii\bootstrap\Modal::begin([
        'header' => '<h4 class="modal-title">Alert</h4>',
        'id' => 'modal-popup',
        'size'=> 'modal-lg',
		'clientOptions' => ['backdrop' => 'static', 'keyboard' => FALSE],
        'headerOptions' => ['class' => 'modal-header-warning'],
        'footer' => '
            <button type="button" class="btn btn-default pull-left hidden" data-dismiss="modal">Close</button>
            <button type="button" class="btn btn-warning" data-dismiss="modal">Ok</button>
        '
    ]);
    yii\bootstrap\Modal::end();
	
	$js = '
		$("#modal-popup").on("show.bs.modal", function (e) {
			var link = $(e.relatedTarget);
			$(this).find(".modal-header h4").html(link.attr("header"));
			$(this).find(".modal-body").load(link.attr("link"));
		});
		$("#modal-popup").on("hidden.bs.modal", function (e) {
			$(this).find(".modal-body").html("");
		});
	';
	$this->registerJs($js);
?>